org.apache.struts2.jasper.el

## Class ExpressionEvaluatorImpl

- java.lang.Object
- - javax.servlet.jsp.el.ExpressionEvaluator
  - - org.apache.struts2.jasper.el.ExpressionEvaluatorImpl

-     public final class ExpressionEvaluatorImpl
      extends javax.servlet.jsp.el.ExpressionEvaluator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionEvaluatorImpl(javax.el.ExpressionFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(String expression, Class expectedType, javax.servlet.jsp.el.VariableResolver vResolver, javax.servlet.jsp.el.FunctionMapper fMapper)`
    `javax.servlet.jsp.el.Expression` | `parseExpression(String expression, Class expectedType, javax.servlet.jsp.el.FunctionMapper fMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionEvaluatorImpl

          public ExpressionEvaluatorImpl(javax.el.ExpressionFactory factory)

  - ### Method Detail

    - #### parseExpression

          public javax.servlet.jsp.el.Expression parseExpression(String expression,
                                                                 Class expectedType,
                                                                 javax.servlet.jsp.el.FunctionMapper fMapper)
                                                          throws javax.servlet.jsp.el.ELException

      Specified by:
        `parseExpression` in class `javax.servlet.jsp.el.ExpressionEvaluator`
      Throws:
        `javax.servlet.jsp.el.ELException`

    - #### evaluate

          public Object evaluate(String expression,
                                 Class expectedType,
                                 javax.servlet.jsp.el.VariableResolver vResolver,
                                 javax.servlet.jsp.el.FunctionMapper fMapper)
                          throws javax.servlet.jsp.el.ELException

      Specified by:
        `evaluate` in class `javax.servlet.jsp.el.ExpressionEvaluator`
      Throws:
        `javax.servlet.jsp.el.ELException`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.